extends Area2D

@onready var bee : Bee = get_parent() as Bee

func _on_area_entered(area : Area2D) -> void:
	## Check if the area entered is a flower patch
	if area.is_in_group("flowers"):
		bee.in_range_of_flowers = true
		
func _on_area_exited(area : Area2D) -> void:
	## Check if the area exited is a flower patch
	if area.is_in_group("flowers"):
		bee.in_range_of_flowers = false